Skip to main content
GET
/
1
/
indexes
/
{indexName}
/
task
/
{taskID}
curl
curl --request GET \
  --url https://algolia_application_id.algolia.net/1/indexes/ALGOLIA_INDEX_NAME/task/1506303845001 \
  --header 'accept: application/json' \
  --header 'x-algolia-api-key: ALGOLIA_API_KEY' \
  --header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'
{
  "status": "published"
}
Indexing tasks are asynchronous. When you add, update, or delete records or indices, a task is created on a queue and completed depending on the load on the server. The indexing tasks’ responses include a task ID that you can use to check the status. Required ACL: addObject

Authorizations

x-algolia-application-id
string
header
required

Your Algolia application ID.

x-algolia-api-key
string
header
required

Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.

Path Parameters

indexName
string
required

Name of the index on which to perform the operation.

Example:

"ALGOLIA_INDEX_NAME"

taskID
integer<int64>
required

Unique task identifier.

Example:

1506303845001

Response

OK

status
enum<string>
required

Task status, published if the task is completed, notPublished otherwise.

Available options:
published,
notPublished
Last modified on March 23, 2026